---
title: Config Options for dart-jaguar
sidebar_label: dart-jaguar
---

| Option | Description | Values | Default |
| ------ | ----------- | ------ | ------- |
|sortParamsByRequiredFlag|Sort method arguments to place required parameters before optional parameters.| |true|
|sortModelPropertiesByRequiredFlag|Sort model properties to place required parameters before optional parameters.| |true|
|ensureUniqueParams|Whether to ensure parameter names are unique in an operation (rename parameters that are not).| |true|
|allowUnicodeIdentifiers|boolean, toggles whether unicode identifiers are allowed in names or not, default is false| |false|
|prependFormOrBodyParameters|Add form or body parameters to the beginning of the parameter list.| |false|
|browserClient|Is the client browser based (for Dart 1.x only)| |null|
|pubName|Name in generated pubspec| |null|
|pubVersion|Version in generated pubspec| |null|
|pubDescription|Description in generated pubspec| |null|
|pubAuthor|Author name in generated pubspec| |null|
|pubAuthorEmail|Email address of the author in generated pubspec| |null|
|pubHomepage|Homepage in generated pubspec| |null|
|useEnumExtension|Allow the 'x-enum-values' extension for enums| |null|
|sourceFolder|Source folder for generated code| |null|
|supportDart2|Support Dart 2.x (Dart 1.x support has been deprecated)| |true|
|nullableFields|Is the null fields should be in the JSON payload| |null|
|serialization|Choose serialization format JSON or PROTO is supported| |null|

## IMPORT MAPPING

| Type/Alias | Imports |
| ---------- | ------- |


## INSTANTIATION TYPES

| Type/Alias | Instantiated By |
| ---------- | --------------- |
|array|List|
|map|Map|


## LANGUAGE PRIMITIVES

<ul data-columns="2" style="list-style-type: disc;-webkit-columns:2;-moz-columns:2;columns:2;-moz-column-fill:auto;column-fill:auto"><li>bool</li>
<li>double</li>
<li>num</li>
<li>String</li>
<li>int</li>
</ul>

## RESERVED WORDS

<ul data-columns="2" style="list-style-type: disc;-webkit-columns:2;-moz-columns:2;columns:2;-moz-column-fill:auto;column-fill:auto"><li>do</li>
<li>source</li>
<li>while</li>
<li>operator</li>
<li>required</li>
<li>patch</li>
<li>late</li>
<li>continue</li>
<li>else</li>
<li>function</li>
<li>dynamic</li>
<li>catch</li>
<li>export</li>
<li>if</li>
<li>case</li>
<li>new</li>
<li>static</li>
<li>void</li>
<li>in</li>
<li>var</li>
<li>finally</li>
<li>this</li>
<li>is</li>
<li>sync</li>
<li>typedef</li>
<li>enum</li>
<li>covariant</li>
<li>mixin</li>
<li>as</li>
<li>external</li>
<li>extends</li>
<li>null</li>
<li>final</li>
<li>true</li>
<li>try</li>
<li>implements</li>
<li>deferred</li>
<li>extension</li>
<li>const</li>
<li>import</li>
<li>part</li>
<li>for</li>
<li>show</li>
<li>interface</li>
<li>out</li>
<li>switch</li>
<li>default</li>
<li>library</li>
<li>native</li>
<li>assert</li>
<li>get</li>
<li>of</li>
<li>yield</li>
<li>await</li>
<li>class</li>
<li>on</li>
<li>rethrow</li>
<li>factory</li>
<li>set</li>
<li>break</li>
<li>false</li>
<li>abstract</li>
<li>super</li>
<li>async</li>
<li>with</li>
<li>hide</li>
<li>inout</li>
<li>throw</li>
<li>return</li>
</ul>
